> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Corporate Customer Wallet

> This endpoint enables you to create a wallet for a corporate customer

***

## Request Parameters

<ParamField path="customerId" type="string" required>
  Thr unique identifier of the corporate customer to whom the director is to be
  added. **Example:** `3fa85f64-5717-4562-b3fc-2c963f66afa6`
</ParamField>

<ParamField body="currencyId" type="string" required>
  The unique identifier of the currency. **Example:**
  `3fa85f64-5717-4562-b3fc-2c963f66afa6`
</ParamField>

<ParamField body="name" type="string">
  The name of the Wallet. **Example:** `Fola and Sons`
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "code": "00",
    "success": true,
    "message": "Created Successfully",
    "data": {
      "id": "a6d754bb-a7af-11f0-8d44-4af84d9ff6f1",
      "currencyId": "12345f0c-24fa-410c-b66c-1hhec56e5cd8",
      "customerId": "037be221-6a1e-458c-aa50-c2ff06136b83",
      "name": "Chow/Chow's Business - Chow's first",
      "walletGroupId": null,
      "customerTypeId": "23g77cf6-f355-4536-ae96-adf24682809f",
      "virtualAccount": {
        "accountNumber": "9710123456",
        "bankCode": "232",
        "bankName": "Sterling Bank"
      }
    }
  }
  ```

  ```json 500 Internal Server Error theme={null}
  {
    "code": "500",
    "success": false,
    "message": "An unexpected error occurred",
    "data": null
  }
  ```
</ResponseExample>
